Actualizar pago a proveedor
curl --request PUT \
--url https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"supplier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"point_of_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_date": "<string>",
"total_amount": 123,
"splits": [
{
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"reference": "<string>",
"card_brand": "<string>",
"card_batch_number": "<string>",
"card_coupon_number": "<string>",
"card_installment_plan_code": "<string>",
"notes": "<string>",
"fee_amount": 1,
"fee_percentage_applied": "<string>",
"fee_fixed_applied": 1,
"net_amount": 1,
"register_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"safe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"exchange_rate": 123,
"settlement_total_amount": 123,
"notes": "<string>",
"applications": [
{
"purchase_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"journal_line_applications": [
{
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"credit_journal_line_applications": [
{
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"credit_target_applications": [
{
"purchase_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"credit_note_applications": [
{
"credit_purchase_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"advance_applications": [
{
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"withholdings": [
{
"amount": 123,
"certificate_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"province_id": "<string>",
"regimen": "<string>",
"rate": 123,
"calculation_base": 123
}
]
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}"
payload = {
"supplier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"point_of_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_date": "<string>",
"total_amount": 123,
"splits": [
{
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"reference": "<string>",
"card_brand": "<string>",
"card_batch_number": "<string>",
"card_coupon_number": "<string>",
"card_installment_plan_code": "<string>",
"notes": "<string>",
"fee_amount": 1,
"fee_percentage_applied": "<string>",
"fee_fixed_applied": 1,
"net_amount": 1,
"register_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"safe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"exchange_rate": 123,
"settlement_total_amount": 123,
"notes": "<string>",
"applications": [
{
"purchase_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"journal_line_applications": [
{
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"credit_journal_line_applications": [
{
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"credit_target_applications": [
{
"purchase_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"credit_note_applications": [
{
"credit_purchase_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"advance_applications": [
{
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_amount": 123
}
],
"withholdings": [
{
"amount": 123,
"certificate_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"province_id": "<string>",
"regimen": "<string>",
"rate": 123,
"calculation_base": 123
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
supplier_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
point_of_sale_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
payment_date: '<string>',
total_amount: 123,
splits: [
{
payment_method_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
reference: '<string>',
card_brand: '<string>',
card_batch_number: '<string>',
card_coupon_number: '<string>',
card_installment_plan_code: '<string>',
notes: '<string>',
fee_amount: 1,
fee_percentage_applied: '<string>',
fee_fixed_applied: 1,
net_amount: 1,
register_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
safe_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
exchange_rate: 123,
settlement_total_amount: 123,
notes: '<string>',
applications: [{purchase_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', applied_amount: 123}],
journal_line_applications: [{journal_line_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', applied_amount: 123}],
credit_journal_line_applications: [{journal_line_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', applied_amount: 123}],
credit_target_applications: [{purchase_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', applied_amount: 123}],
credit_note_applications: [
{
credit_purchase_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
applied_amount: 123
}
],
advance_applications: [
{
advance_payment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
applied_amount: 123
}
],
withholdings: [
{
amount: 123,
certificate_number: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
province_id: '<string>',
regimen: '<string>',
rate: 123,
calculation_base: 123
}
]
})
};
fetch('https://api.lapyme.com.ar/api/v1/supplier-payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"supplier_payment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_name": "<string>",
"payment_number": 123,
"formatted_payment_number": "<string>",
"payment_date": "<string>",
"total_amount": 123,
"balance": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by_name": "<string>",
"settlement_total_amount": 123,
"exchange_rate": "<string>",
"notes": "<string>",
"splits": [
{
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method_name": "<string>",
"reference": "<string>",
"card_brand": "<string>",
"card_batch_number": "<string>",
"card_coupon_number": "<string>",
"card_installment_plan_code": "<string>",
"notes": "<string>",
"fee_amount": 123,
"fee_percentage_applied": "<string>",
"fee_fixed_applied": 123,
"net_amount": 123,
"check_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"register_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"safe_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"credit_applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"journal_line_applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"advance_applications": [
{
"applied_amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_sale_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advance_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journal_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"formatted_invoice_number": "<string>",
"credit_formatted_invoice_number": "<string>",
"advance_formatted_payment_number": "<string>"
}
],
"withholdings": [
{
"amount": 123,
"certificate_number": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"province_id": "<string>",
"regimen": "<string>",
"rate": 123,
"calculation_base": 123
}
]
}
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Solicitud inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scopes insuficientes",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Pago no encontrado",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Conflicto de idempotencia",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno del servidor",
"retryable": false,
"details": []
}
}Actualizar pago a proveedor
Actualiza un pago a proveedor existente y devuelve el detalle persistido. Requiere Idempotency-Key.
PUT
/
api
/
v1
/
supplier-payments
/
{payment_id}
Actualizar pago a proveedor
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave estable para deduplicar reintentos de la misma operación.
Path Parameters
Body
application/json
Available options:
PES, DOL Show child attributes
Show child attributes
Available options:
PES, DOL Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

